Package org.apache.sysds.runtime.io

# Class TensorReaderBinaryBlock

java.lang.Object
org.apache.sysds.runtime.io.TensorReader
org.apache.sysds.runtime.io.TensorReaderBinaryBlock

Direct Known Subclasses:
  `TensorReaderBinaryBlockParallel`

public class TensorReaderBinaryBlock extends TensorReader

## Constructor Summary

Constructors
Constructor
Description
`TensorReaderBinaryBlock()`

## Method Summary

Modifier and Type
Method
Description
`TensorBlock`
`readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TensorReaderBinaryBlock

public TensorReaderBinaryBlock()

## Method Details

### readTensorFromHDFS

public TensorBlock readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema) throws IOException, DMLRuntimeException

Specified by:
  `readTensorFromHDFS` in class `TensorReader`
Throws:
  `IOException`
  `DMLRuntimeException`